[arch-commits] Commit in (9 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Oct 10 12:16:42 UTC 2010


    Date: Sunday, October 10, 2010 @ 08:16:41
  Author: andyrtr
Revision: 94724

new pkg LXDM based on AUR lxdm and lxdm-git

Added:
  lxdm/
  lxdm/repos/
  lxdm/trunk/
  lxdm/trunk/PKGBUILD
  lxdm/trunk/Xsession.patch
  lxdm/trunk/lxdm-daemon
  lxdm/trunk/lxdm-pam.patch
  lxdm/trunk/lxdm.install
  lxdm/trunk/lxdm.patch

----------------+
 PKGBUILD       |   51 +++++++++++++++++++++++++++++++++++++++++++++++
 Xsession.patch |   14 +++++++++++++
 lxdm-daemon    |   36 +++++++++++++++++++++++++++++++++
 lxdm-pam.patch |    8 +++++++
 lxdm.install   |   59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 lxdm.patch     |   26 ++++++++++++++++++++++++
 6 files changed, 194 insertions(+)

Added: lxdm/trunk/PKGBUILD
===================================================================
--- lxdm/trunk/PKGBUILD	                        (rev 0)
+++ lxdm/trunk/PKGBUILD	2010-10-10 12:16:41 UTC (rev 94724)
@@ -0,0 +1,51 @@
+# Maintainer: AndyRTR <andyrtr at archlinux.org>
+#Contributor: kiefer <jorgelmadrid at gmail.com>
+#Based on lxdm-git by phillipe
+
+pkgname=lxdm
+pkgver=0.3.0
+pkgrel=1
+pkgdesc="Lightweight Display Manager (part of LXDE)"
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/lxdm/"
+license=('GPL')
+groups=('lxde')
+conflicts=('lxdm-git')
+depends=('gtk2' 'xorg-server' 'consolekit')
+makedepends=('intltool')
+install=${pkgname}.install
+backup=('etc/lxdm/lxdm.conf') # 'etc/lxdm/xinitrc')
+source=(http://downloads.sourceforge.net/project/lxdm/lxdm%20${pkgver}/$pkgname-$pkgver.tar.gz
+	Xsession.patch lxdm.patch lxdm-pam.patch lxdm-daemon)
+md5sums=('1d0688e088edab7c3c563263eb2f9654'
+         '9bdf95adb74d81d4b6b6176fb1142090'
+         'baed9055e8825a5511712bc095197519'
+         'b20fe3c8487a039050986d60e45233a9'
+         '705f394052fdd0dec22e95321d170de0')
+
+build() {
+  	cd $srcdir/$pkgname-$pkgver
+    	./configure --sysconfdir=/etc --prefix=/usr --libexecdir=/usr/lib/lxdm
+	make
+  	
+	patch -Np0 < ../lxdm.patch
+	patch -Np0 < ../Xsession.patch
+}
+
+
+package() {
+  	cd $srcdir/$pkgname-$pkgver
+  	make DESTDIR="${pkgdir}" install || return 1
+
+	install -m644 ${srcdir}/lxdm-pam.patch ${pkgdir}/etc/pam.d/lxdm || return 1
+	install -Dm755 ${srcdir}/lxdm-daemon ${pkgdir}/etc/rc.d/lxdm || return 1
+	
+	# these files are not in the package, but should be owned by lxdm - taken from Fedora pkg
+#	touch ${pkgdir}/etc/lxdm/xinitrc
+	mkdir -p ${pkgdir}/var/run/lxdm
+	mkdir -p ${pkgdir}/var/lib/lxdm
+#	touch ${pkgdir}/var/lib/lxdm/lxdm.conf
+	
+	# fix the greeter location
+	sed -i -e "s/libexec/lib\/lxdm/" ${pkgdir}/etc/lxdm/lxdm.conf
+}

Added: lxdm/trunk/Xsession.patch
===================================================================
--- lxdm/trunk/Xsession.patch	                        (rev 0)
+++ lxdm/trunk/Xsession.patch	2010-10-10 12:16:41 UTC (rev 94724)
@@ -0,0 +1,14 @@
+--- data/Xsession.orig	2010-01-31 20:48:08.695677408 -0200
++++ data/Xsession	2010-01-31 20:47:48.260223292 -0200
+@@ -2,6 +2,11 @@
+
+ # use bash for "exec -l", howto run login shell by /bin/sh ?
+
++[[ -f /etc/profile ]] && . /etc/profile
++[[ -f "$HOME/.profile" ]] && . "$HOME/.profile"
++[[ -f /etc/xprofile ]] && . /etc/xprofile
++[[ -f "$HOME/.xprofile" ]] && . "$HOME/.xprofile"
++
+ if [ $# -eq 1 -a -n "$1" ]; then
+ 	LXSESSION=$1
+ else

Added: lxdm/trunk/lxdm-daemon
===================================================================
--- lxdm/trunk/lxdm-daemon	                        (rev 0)
+++ lxdm/trunk/lxdm-daemon	2010-10-10 12:16:41 UTC (rev 94724)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=$(pidof -o %PPID `which lxdm-binary`)
+case "$1" in
+  start)
+    stat_busy "Starting LXDM Display Manager"
+    [ -z "$PID" ] && /usr/sbin/lxdm -d &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon lxdm
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping LXDM Display Manager"
+    [ ! -z "$PID" ] && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon lxdm
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 3
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Added: lxdm/trunk/lxdm-pam.patch
===================================================================
--- lxdm/trunk/lxdm-pam.patch	                        (rev 0)
+++ lxdm/trunk/lxdm-pam.patch	2010-10-10 12:16:41 UTC (rev 94724)
@@ -0,0 +1,8 @@
+#%PAM-1.0
+auth            requisite       pam_nologin.so
+auth            required        pam_env.so
+auth            required        pam_unix.so
+account         required        pam_unix.so
+session         required        pam_limits.so
+session         required        pam_unix.so
+password        required        pam_unix.so

Added: lxdm/trunk/lxdm.install
===================================================================
--- lxdm/trunk/lxdm.install	                        (rev 0)
+++ lxdm/trunk/lxdm.install	2010-10-10 12:16:41 UTC (rev 94724)
@@ -0,0 +1,59 @@
+pkgname=lxdm
+
+post_install() {
+  # make sure the group and user "lxdm" exist on this system and have the correct values
+  if grep -q "^lxdm:" /etc/group &> /dev/null ; then
+    groupmod -g 121 -n lxdm lxdm &> /dev/null
+  else
+    groupadd -g 121 lxdm &> /dev/null
+  fi
+
+  if grep -q "^lxdm:" /etc/passwd 2> /dev/null ; then
+    usermod -s /sbin/nologin -c "LXDE Display Manager user" -d /var/lib/lxdm -u 121 -g lxdm lxdm &> /dev/null
+  else
+    useradd -s /sbin/nologin -c "LXDE Display Manager user" -d /var/lib/lxdm -u 121 -g lxdm -m -r lxdm &> /dev/null
+  fi 
+  passwd -l lxdm > /dev/null
+
+#  chown root:lxdm /etc/lxdm/{lxdm.conf,xinitrc} > /dev/null
+  chown root:lxdm /etc/lxdm/lxdm.conf > /dev/null
+  chown -R root:lxdm /var/lib/lxdm > /dev/null
+  chown -R root:lxdm /var/run/lxdm > /dev/null
+
+cat << EOF
+>>> To make the LXDM as your default DM,
+>>> put, 'lxdm' or '@lxdm' (without quotes) on DAEMONS in /etc/rc.conf
+>>>
+>>> You can also use /etc/inittab,
+>>> just add 'x:5:respawn:/usr/sbin/lxdm >& /dev/null' (without quotes)
+>>> in the end of the file /etc/inittab
+>>> and uncoment the line on the top 'id:5:initdefault:'.
+EOF
+}
+
+post_upgrade() {
+  # make sure the group and user "lxdm" exist on this system and have the correct values
+  if grep -q "^lxdm:" /etc/group &> /dev/null ; then
+    groupmod -g 121 -n lxdm lxdm &> /dev/null
+  else
+    groupadd -g 121 lxdm &> /dev/null
+  fi
+
+  if grep -q "^lxdm:" /etc/passwd 2> /dev/null ; then
+    usermod -s /sbin/nologin -c "LXDE Display Manager user" -d /var/lib/lxdm -u 121 -g lxdm lxdm &> /dev/null
+  else
+    useradd -s /sbin/nologin -c "LXDE Display Manager user" -d /var/lib/lxdm -u 121 -g lxdm -m -r lxdm &> /dev/null
+  fi 
+  passwd -l lxdm > /dev/null
+
+#  chown root:lxdm /etc/lxdm/{lxdm.conf,xinitrc} > /dev/null
+  chown root:lxdm /etc/lxdm/lxdm.conf > /dev/null
+  chown -R root:lxdm /var/lib/lxdm > /dev/null
+  chown -R root:lxdm /var/run/lxdm > /dev/null
+}
+
+post_remove() {
+  # Removing lxdm group+user
+  getent passwd lxdm >/dev/null 2>&1 && userdel lxdm #|| /bin/true
+  getent group lxdm >/dev/null 2>&1 && groupdel lxdm #|| /bin/true
+}

Added: lxdm/trunk/lxdm.patch
===================================================================
--- lxdm/trunk/lxdm.patch	                        (rev 0)
+++ lxdm/trunk/lxdm.patch	2010-10-10 12:16:41 UTC (rev 94724)
@@ -0,0 +1,26 @@
+--- data/lxdm.orig	2010-01-24 16:58:42.262866825 -0200
++++ data/lxdm	2010-01-19 11:56:34.308668692 -0200
+@@ -1,21 +1,13 @@
+ #!/bin/sh
+
+-[ -f /etc/sysconfig/i18n ] && . /etc/sysconfig/i18n
+-
+-if [ -z "$LANG" -a -e /etc/sysconfig/language ]; then
+-	. /etc/sysconfig/language
+-	if [ -n "$RC_LANG"]; then
+-		LANG=$RC_LANG
+-	fi
++if [ -r /etc/profile.d/locale.sh ]; then
++	. /etc/profile.d/locale.sh
+ fi
+
+ if [ -n "$LANG" ]; then
+ 	export LANG
+ fi
+
+-[ -f /etc/sysconfig/desktop ] && . /etc/sysconfig/desktop
+-[ -f /etc/sysconfig/windowmanager ] && . /etc/sysconfig/windowmanager
+-
+ if [ -n "$DEFAULT_WM" ]; then
+ 	PREFERRED=$DEFAULT_WM
+ fi




More information about the arch-commits mailing list